#ifdef JFB_ENABLE_SPLASH_SCREEN
#ifndef INCLUDE_READ_BMP_H
#define INCLUDE_READ_BMP_H
#define BMP_SIGNATURE 0x4D42

struct bmp_hdr {
	u_int fsize;
	u_short res1, res2;
	u_int offset;
	u_int size;
	u_int width, height;
	u_short planes;
	u_short bit_count;
	u_int compression;
	u_int imagesize;
	u_int xres;
	u_int yres;
	u_int ncolors;
	u_int impcolors;
};

struct bmp_file {
	struct bmp_hdr hdr;
	u_char *data;
};

u_char *read_bmp_file(FILE *fp, int *width, int *height);
#endif /* INCLUDE_READ_BMP_H */
#endif /* JFB_ENABLE_SPLASH_SCREEN */
